<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>GDSHelper (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GDSHelper (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/GDSHelper.html" target="_top">Frames</a></li>
<li><a href="GDSHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.impl</div>
<h2 title="Class GDSHelper" class="title">Class GDSHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.impl.GDSHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">GDSHelper</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></pre>
<div class="block">Helper class for all GDS-related operations.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#DEFAULT_BLOB_BUFFER_SIZE">DEFAULT_BLOB_BUFFER_SIZE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#GDSHelper-org.firebirdsql.gds.ng.FbDatabase-">GDSHelper</a></span>(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</code>
<div class="block">Create instance of this class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#allocateStatement--">allocateStatement</a></span>()</code>
<div class="block">Retrieve a newly allocated statement handle with the current connection.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#cancelOperation--">cancelOperation</a></span>()</code>
<div class="block">Cancel the currently running operation.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#compareToVersion-int-int-">compareToVersion</a></span>(int&nbsp;major,
                int&nbsp;minor)</code>
<div class="block">Compares the version of this database to the specified major and
 minor version.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#createBlob-boolean-">createBlob</a></span>(boolean&nbsp;segmented)</code>
<div class="block">Create a new blob within the current transaction.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#detachDatabase--">detachDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#executeImmediate-java.lang.String-">executeImmediate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statement)</code>
<div class="block">Execute a SQL statement directly with the current connection.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getBlobBufferLength--">getBlobBufferLength</a></span>()</code>
<div class="block">Get the buffer length for blobs for this connection.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getConnectionProperties--">getConnectionProperties</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getCurrentDatabase--">getCurrentDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getCurrentTransaction--">getCurrentTransaction</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getDatabaseParameterBuffer--">getDatabaseParameterBuffer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getDatabaseProductMajorVersion--">getDatabaseProductMajorVersion</a></span>()</code>
<div class="block">Get the major version number of the database that we're connected to.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getDatabaseProductMinorVersion--">getDatabaseProductMinorVersion</a></span>()</code>
<div class="block">Get the minor version number of the database that we're connected to.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getDatabaseProductName--">getDatabaseProductName</a></span>()</code>
<div class="block">Get the name of the database product that we're connected to.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getDatabaseProductVersion--">getDatabaseProductVersion</a></span>()</code>
<div class="block">Get the version of the the database that we're connected to</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getDialect--">getDialect</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getIscEncoding--">getIscEncoding</a></span>()</code>
<div class="block">Get the encoding used for this connection.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getJavaEncoding--">getJavaEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/TimeZone.html?is-external=true" title="class or interface in java.util">TimeZone</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getSessionTimeZone--">getSessionTimeZone</a></span>()</code>
<div class="block">Get the session time zone as configured in the connection property.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getSynchronizationObject--">getSynchronizationObject</a></span>()</code>
<div class="block">Get synchronization object.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#getUserName--">getUserName</a></span>()</code>
<div class="block">Get the database login name of the user that we're connected as.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#inTransaction--">inTransaction</a></span>()</code>
<div class="block">Retrieve whether this connection is currently involved in a transaction</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#openBlob-long-boolean-">openBlob</a></span>(long&nbsp;blob_id,
        boolean&nbsp;segmented)</code>
<div class="block">Open a handle to a new blob within the current transaction with the given
 id.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#setCurrentTransaction-org.firebirdsql.gds.ng.FbTransaction-">setCurrentTransaction</a></span>(<a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html#startTransaction-org.firebirdsql.gds.TransactionParameterBuffer-">startTransaction</a></span>(<a href="../../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_BLOB_BUFFER_SIZE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_BLOB_BUFFER_SIZE</h4>
<pre>public static final&nbsp;int DEFAULT_BLOB_BUFFER_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.impl.GDSHelper.DEFAULT_BLOB_BUFFER_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GDSHelper-org.firebirdsql.gds.ng.FbDatabase-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GDSHelper</h4>
<pre>public&nbsp;GDSHelper(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</pre>
<div class="block">Create instance of this class.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCurrentTransaction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentTransaction</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;getCurrentTransaction()</pre>
</li>
</ul>
<a name="setCurrentTransaction-org.firebirdsql.gds.ng.FbTransaction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentTransaction</h4>
<pre>public&nbsp;void&nbsp;setCurrentTransaction(<a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction)</pre>
</li>
</ul>
<a name="getCurrentDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentDatabase</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;getCurrentDatabase()</pre>
</li>
</ul>
<a name="getConnectionProperties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionProperties</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&nbsp;getConnectionProperties()</pre>
</li>
</ul>
<a name="getDatabaseParameterBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseParameterBuffer</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;getDatabaseParameterBuffer()</pre>
</li>
</ul>
<a name="getDialect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDialect</h4>
<pre>public&nbsp;int&nbsp;getDialect()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Connection dialect</dd>
</dl>
</li>
</ul>
<a name="allocateStatement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allocateStatement</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;allocateStatement()
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Retrieve a newly allocated statement handle with the current connection.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The new statement handle</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="inTransaction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inTransaction</h4>
<pre>public&nbsp;boolean&nbsp;inTransaction()</pre>
<div class="block">Retrieve whether this connection is currently involved in a transaction</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this connection is currently in a
 transaction, <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="executeImmediate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeImmediate</h4>
<pre>public&nbsp;void&nbsp;executeImmediate(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statement)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Execute a SQL statement directly with the current connection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statement</code> - The SQL statement to execute</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a Firebird-specific error occurs</dd>
</dl>
</li>
</ul>
<a name="openBlob-long-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openBlob</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>&nbsp;openBlob(long&nbsp;blob_id,
                       boolean&nbsp;segmented)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Open a handle to a new blob within the current transaction with the given
 id.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blob_id</code> - The identifier to be given to the blob</dd>
<dd><code>segmented</code> - If <code>true</code>, the blob will be segmented, otherwise
         is will be streamed</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a Firebird-specific database error occurs</dd>
</dl>
</li>
</ul>
<a name="createBlob-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlob</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>&nbsp;createBlob(boolean&nbsp;segmented)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Create a new blob within the current transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>segmented</code> - If <code>true</code> the blob will be segmented, otherwise it will be streamed</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a Firebird-specific database error occurs</dd>
</dl>
</li>
</ul>
<a name="startTransaction-org.firebirdsql.gds.TransactionParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startTransaction</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;startTransaction(<a href="../../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)
                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="detachDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detachDatabase</h4>
<pre>public&nbsp;void&nbsp;detachDatabase()
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="cancelOperation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelOperation</h4>
<pre>public&nbsp;void&nbsp;cancelOperation()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Cancel the currently running operation.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDatabaseProductName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseProductName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDatabaseProductName()</pre>
<div class="block">Get the name of the database product that we're connected to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The database product name (i.e. Firebird or Interbase)</dd>
</dl>
</li>
</ul>
<a name="getDatabaseProductVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseProductVersion</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDatabaseProductVersion()</pre>
<div class="block">Get the version of the the database that we're connected to</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the database product version</dd>
</dl>
</li>
</ul>
<a name="getDatabaseProductMajorVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseProductMajorVersion</h4>
<pre>public&nbsp;int&nbsp;getDatabaseProductMajorVersion()</pre>
<div class="block">Get the major version number of the database that we're connected to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The major version number of the database</dd>
</dl>
</li>
</ul>
<a name="getDatabaseProductMinorVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseProductMinorVersion</h4>
<pre>public&nbsp;int&nbsp;getDatabaseProductMinorVersion()</pre>
<div class="block">Get the minor version number of the database that we're connected to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The minor version number of the database</dd>
</dl>
</li>
</ul>
<a name="compareToVersion-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareToVersion</h4>
<pre>public&nbsp;int&nbsp;compareToVersion(int&nbsp;major,
                            int&nbsp;minor)</pre>
<div class="block">Compares the version of this database to the specified major and
 minor version.
 <p>
 This method follows the semantics of <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang"><code>Comparable</code></a>: returns a
 negative value if the version of this database connection is smaller than
 the supplied arguments, 0 if they are equal or positive if its bigger.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>major</code> - Major version to compare</dd>
<dd><code>minor</code> - Minor version to compare</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a negative integer, zero, or a positive integer as this database version is less than, equal to,
 or greater than the specified major and minor version</dd>
</dl>
</li>
</ul>
<a name="getUserName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUserName()</pre>
<div class="block">Get the database login name of the user that we're connected as.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The username of the current database user</dd>
</dl>
</li>
</ul>
<a name="getBlobBufferLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlobBufferLength</h4>
<pre>public&nbsp;int&nbsp;getBlobBufferLength()</pre>
<div class="block">Get the buffer length for blobs for this connection.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The length of blob buffers</dd>
</dl>
</li>
</ul>
<a name="getIscEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIscEncoding</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIscEncoding()</pre>
<div class="block">Get the encoding used for this connection.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The name of the encoding used</dd>
</dl>
</li>
</ul>
<a name="getJavaEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaEncoding</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJavaEncoding()</pre>
</li>
</ul>
<a name="getSessionTimeZone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSessionTimeZone</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/TimeZone.html?is-external=true" title="class or interface in java.util">TimeZone</a>&nbsp;getSessionTimeZone()</pre>
<div class="block">Get the session time zone as configured in the connection property.
 <p>
 NOTE: This is not necessarily the actual server time zone.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Value of connection property <code>sessionTimeZone</code></dd>
</dl>
</li>
</ul>
<a name="getSynchronizationObject--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSynchronizationObject</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getSynchronizationObject()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/Synchronizable.html#getSynchronizationObject--">Synchronizable</a></code></span></div>
<div class="block">Get synchronization object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/Synchronizable.html#getSynchronizationObject--">getSynchronizationObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>object, cannot be <code>null</code>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/GDSHelper.html" target="_top">Frames</a></li>
<li><a href="GDSHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
